javax.batch.api.chunk.listener

## Class AbstractItemWriteListener

- java.lang.Object
- - javax.batch.api.chunk.listener.AbstractItemWriteListener

All Implemented Interfaces:
  ItemWriteListener

    public abstract class AbstractItemWriteListener
    extends Object
    implements ItemWriteListener

The AbstractItemWriteListener provides default implementations of less commonly implemented methods.

### Constructor Summary

Constructors
Constructor and Description
`AbstractItemWriteListener()`

### Method Summary

Methods
`void` `afterWrite(List<Object> items)` Override this method if the ItemWriteListener will do something after the items are written.
`void` `beforeWrite(List<Object> items)` Override this method if the ItemWriteListener will do something before the items are written.
`void` `onWriteError(List<Object> items, Exception ex)` Override this method if the ItemWriteListener will do something when the ItemWriter writeItems method throws an exception.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractItemWriteListener

    public AbstractItemWriteListener()

### Method Detail

#### beforeWrite

    public void beforeWrite(List<Object> items)
                     throws Exception

Override this method if the ItemWriteListener will do something before the items are written. The default implementation does nothing.

Specified by:
  `beforeWrite` in interface `ItemWriteListener`
Parameters:
  `items` - specifies the items about to be written.
Throws:
  `Exception` - (or subclass) if an error occurs.

#### afterWrite

    public void afterWrite(List<Object> items)
                    throws Exception

Override this method if the ItemWriteListener will do something after the items are written. The default implementation does nothing.

Specified by:
  `afterWrite` in interface `ItemWriteListener`
Parameters:
  `items` - specifies the items about to be written.
Throws:
  `Exception` - (or subclass) if an error occurs.

#### onWriteError

    public void onWriteError(List<Object> items,
                    Exception ex)
                      throws Exception

Override this method if the ItemWriteListener will do something when the ItemWriter writeItems method throws an exception. The default implementation does nothing.

Specified by:
  `onWriteError` in interface `ItemWriteListener`
Parameters:
  `items` - specifies the items about to be written.
  `ex` - specifies the exception thrown by the item writer.
Throws:
  `Exception` - (or subclass) if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0